shishi_strerror(3)

NAME
shishi_strerror - API function

SYNOPSIS
#include <shishi.h>

const char * shishi_strerror(int err);

ARGUMENTS

int err
    shishi error code.

DESCRIPTION
Converts the return code in err to a human readable string.

RETURN VALUE
Returns a pointer to a statically allocated string containing a description of the error with code err. This string can be used to output a diagnostic message to the user.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.